HGVIEW(1)

NAME
hgview - Qt based mercurial repository browser

SYNOPSIS

hgview [options] [filename]

DESCRIPTION

hgview(1) is a GUI application usually invoked from the command line. The simplest way to use it is to install it as a hg extension. Alternatively, it can be used as a standalone application.

If [filename] is given, hgview will start in file-diff mode, in which user can easily compare arbitrary revisions of a file.

Use ``hg help hgview`` for an extended help description

OPTIONS

-n, --navigate (require a filename)
    starts in filelog navigation mode

-r REV, --rev=REV
    starts in manifest mode for given revision

FILES

~/.hgrc
    This is the standard file for configuring hg and its extensions. See hg qv-config for more details on what can be configured this way.

~/.hgusers
    This file holds configurations related to authors of patches in the hg repository. See hg qv-config for more details on what can be configured this way.

BUGS

Please report any found bug on the mailing list or via email. Patches (or mercurial bundles) are always welcome.

AUTHOR

Current version has been mainly written by David Douard <david.douard@logilab.fr[1]>, based on hgview 0.x code which has been written by Ludovic Aubry, Graziella Toutoungis and others.

RESOURCES

http://www.logilab.org/project/hgview

COPYRIGHT

Copyright (C) 2012 David Douard (david.douard@logilab.fr[1]). Copyright (C) 2007-2012 LOGILAB S.A. (Paris, FRANCE), http://www.logilab.fr/ — mailto:contact@logilab.fr

LICENSING

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this pro- gram; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

AUTHOR

David Douard <david.douard@logilab.fr>
    Author.

NOTES

1.  david.douard@logilab.fr
    mailto:david.douard@logilab.fr